//
//  ViewController.m
//  TabBarContentView
//
//  Created by Vivitickey on 2017/5/17.
//  Copyright © 2017年 test. All rights reserved.
//

#import "ViewController.h"
#import "TabBarContentView.h"
#import <Masonry/Masonry.h>
@interface ViewController ()<TabBarContentViewDelegate,TabBarContentViewDataSource>

@property (weak, nonatomic) IBOutlet TabBarContentView *tabBarContentView;

@end

@implementation ViewController {
    NSInteger  _count;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _count = arc4random_uniform(3) + 2;
    
    self.tabBarContentView.dataSource = self;
    self.tabBarContentView.delegate = self;
    
    [self.tabBarContentView reloadData];
    
    
}

#pragma mark - TabBarContentViewDataSource -
/**
 放回当前控件需要多少个选项
 
 @param tabBarContentView 当前控件
 @return 返回选项个数
 */
- (NSInteger)numberOfItemsInTabBarContentView:(TabBarContentView *)tabBarContentView {
    return _count;
}

/**
 提供选项的标题
 
 @param tabBarContentView 当前控件
 @param index 标题索引
 @return 返回标题内容
 */
- (NSString *)tabBarContentView:(TabBarContentView *)tabBarContentView titleForItemAtIndex:(NSInteger)index {
    return [NSString stringWithFormat:@"item %zd",index];
}

/**
 提供内容视图
 
 @param tabBarContentView 当前控件
 @param index 标题索引
 @return 内容视图
 */
- (UIView *)tabBarContentView:(TabBarContentView *)tabBarContentView contentViewAtIndex:(NSInteger)index {
    UILabel *label = [UILabel new];
    label.text = [NSString stringWithFormat:@"content %zd",index];
    label.textAlignment = NSTextAlignmentCenter;
    return label;
}


#pragma mark - HMTabBarContentViewDelegate -
/**
 返回一个当前选项选中的视图
 
 @param tabBarContentView 当前控件
 @return 选中的视图
 */
- (UIView *)highlightViewForTabBarItemInTabBarContentView:(TabBarContentView *)tabBarContentView {
    UIView *view = [UIView new];
    /*
     UIView *line = [UIView new];
     line.backgroundColor = [UIColor orangeColor];
     [view addSubview:line];
     [line mas_makeConstraints:^(MASConstraintMaker *make) {
     make.left.bottom.right.equalTo(view);
     make.height.mas_equalTo(2);
     }];
     */
    view.layer.cornerRadius = 5.0;
    view.layer.borderWidth = 1.0;
    view.layer.borderColor = [UIColor orangeColor].CGColor;
    
    return view;
}

/**
 当选中状态发生改变时回调
 
 @param tabBarContentView 当前控件
 @param index 选项下标
 */
- (void)tabBarContentView:(TabBarContentView *)tabBarContentView didSelectItemAtIndex:(NSInteger)index {
    NSLog(@"index:%zd",index);
}


@end
